//-------------------------------------------------------------------
// File    : stm32_ub_gpio.h
// Author  : Uwe Becker
// Date    : 2018-01-14
// Version : 0.01
//
// Project : STM32
// Modul   : GPIO-Library
// GPIO-Library for STM32F407
//-------------------------------------------------------------------

#ifndef STM32_UB_GPIO_H_
#define STM32_UB_GPIO_H_

#include "stm32f4xx.h"
#include "stm32f4xx_hal.h"

#include "stm32_ub_system.h"


void UB_Gpio_Init_Output(GPIO_TypeDef *port, uint32_t pin, uint32_t pull, uint32_t speed);
void UB_Gpio_Init_Input(GPIO_TypeDef *port, uint32_t pin, uint32_t pull, uint32_t speed);
void UB_Gpio_Init_Output_AF(GPIO_TypeDef *port, uint32_t pin, uint32_t pull, uint32_t speed, uint32_t af_mode);
void UB_Gpio_Init_Input_AF(GPIO_TypeDef *port, uint32_t pin, uint32_t pull, uint32_t speed, uint32_t af_mode);
void UB_Gpio_Set(GPIO_TypeDef *port, uint32_t pin);
void UB_Gpio_Reset(GPIO_TypeDef *port, uint32_t pin);
void UB_Gpio_Toggle(GPIO_TypeDef *port, uint32_t pin);
void UB_Gpio_Write(GPIO_TypeDef *port, uint32_t pin, uint8_t value);
uint8_t UB_Gpio_Read(GPIO_TypeDef *port, uint32_t pin);


#endif /* STM32_UB_GPIO_H_ */
