//-------------------------------------------------------------------
// File    : stm32_ub_system.h
// Author  : Uwe Becker
// Date    : 2018-01-14
// Version : 0.01
//
// Project : STM32
// Modul   : SYSTEM-Library
// System-Library for STM32F407
//-------------------------------------------------------------------

#ifndef STM32_UB_SYSTEM_H_
#define STM32_UB_SYSTEM_H_

#include "stm32f4xx.h"
#include "stm32f4xx_hal.h"


void UB_System_Init(void);
void UB_System_GpioClockEnable(GPIO_TypeDef *port);
void UB_System_UartClockEnable(USART_TypeDef *port);
void UB_System_AFIOClockEnable(void);
void UB_System_AFIORemapUart(USART_TypeDef *uart_port, GPIO_TypeDef *gpio_port);
void UB_System_Delay_ms(uint32_t delay);
uint32_t UB_System_Get_UID(void);


#endif /* STM32_UB_SYSTEM_H_ */
